# ClaudeSync

[![License](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![Issues](https://img.shields.io/github/issues/jahwag/claudesync)](https://github.com/jahwag/claudesync/issues)
[![PyPI version](https://badge.fury.io/py/claudesync.svg)](https://badge.fury.io/py/claudesync)
[![Release date](https://img.shields.io/github/release-date/jahwag/claudesync)](https://github.com/jahwag/claudesync/releases)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

ClaudeSync is a powerful tool that bridges your local development environment with Claude.ai projects, enabling seamless synchronization and enhancing your AI-powered workflow.

![ClaudeSync example](claudesync.gif "ClaudeSync")

## 🌟 Key Features

- 🔄 **Real-time Synchronization**: Automatically keep your local files in sync with Claude.ai projects.
- 🚀 **Productivity Boost**: Streamline your workflow with efficient file management and reduced manual updates.
- 💻 **Cross-Platform Compatibility**: Works flawlessly on Windows, macOS, and Linux.
- 🔒 **Secure**: Prioritizes your data privacy and security.
- 🛠 **Customizable**: Configurable sync intervals, file filtering, and more.

## 🚀 Quick Start

1. **Install ClaudeSync:**
```shell
pip install claudesync
```

2. **Log in to your Claude.ai account:**
```shell
claudesync api login claude.ai
```

3. **Start syncing:**
```shell
claudesync sync
```

📚 Need more details? Check our [Wiki](https://github.com/jahwag/claudesync/wiki) for comprehensive guides and FAQs.

## 🤝 Support ClaudeSync

Love ClaudeSync? Here's how you can contribute:

- ⭐ [Star us on GitHub](https://github.com/jahwag/claudesync)
- 🐛 [Report bugs or request features](https://github.com/jahwag/claudesync/issues)
- 🌍 [Contribute to the project](CONTRIBUTING.md)
- 💬 Join our [Discord community](https://discord.gg/pR4qeMH4u4) for discussions and support

Your support fuels ClaudeSync's growth and improvement!

---

[Contributors](https://github.com/jahwag/claudesync/graphs/contributors) • [License](https://github.com/jahwag/claudesync/blob/master/LICENSE) • [Report Bug](https://github.com/jahwag/claudesync/issues) • [Request Feature](https://github.com/jahwag/ClaudeSync/issues/new?assignees=&labels=enhancement&projects=&template=feature_request.md&title=)
